# How to contribute to MulensModel?

Any contribution to the MulensModel package is welcomed, even if it is just another test or example on how to use MulensModel.

### Have you found a bug?

If you see a bug in the code or would like to see a new feature, then please [open a new issue](https://github.com/rpoleski/MulensModel/issues/new).

### Would you like to see a new feature?

We're also open to suggestions, new ideas, and requests. If you have them, then just [open a new issue](https://github.com/rpoleski/MulensModel/issues/new). We have a long list of changes that we would like to make and your feedback may help us prioritize them. A fresh look at the code is always useful!

### Do you have code to contribute?

Having a code that you want to share is great! We follow coding conventions (e.g., [PEP8](https://github.com/rpoleski/MulensModel/issues/new), docstrings for [sphinx](https://www.sphinx-doc.org/en/master/), [camel case](https://en.wikipedia.org/wiki/Snake_case) names of classes, [snake case](https://en.wikipedia.org/wiki/Snake_case) names of attributes and methods, etc.) but you don't have to follow all of them right away. Just open a new [pull request](https://docs.github.com/en/pull-requests/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) and we will have some discussion on changes that need to be done before merging.

### Weekly hack sessions

As of December 2021, we have regular hack sessions (just 2h each week) to work on MulensModel. Contact us if you are interested in joining.


Thanks!

Radek & Jennifer

